From 25f3053e8132943fb4d2b811e8350a15e1cf6e15 Mon Sep 17 00:00:00 2001
From: Emre Hasegeli <emre@hasegeli.com>
Date: Thu, 6 Mar 2025 10:23:20 +0100
Subject: [PATCH] Fix comment of tsquerysend()

---
 src/backend/utils/adt/tsquery.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/utils/adt/tsquery.c b/src/backend/utils/adt/tsquery.c
index b1bad7bd60c..717de8073d5 100644
--- a/src/backend/utils/adt/tsquery.c
+++ b/src/backend/utils/adt/tsquery.c
@@ -1169,24 +1169,25 @@ tsqueryout(PG_FUNCTION_ARGS)
 /*
  * Binary Input / Output functions. The binary format is as follows:
  *
  * uint32	 number of operators/operands in the query
  *
  * Followed by the operators and operands, in prefix notation. For each
  * operand:
  *
  * uint8	type, QI_VAL
  * uint8	weight
- *			operand text in client encoding, null-terminated
  * uint8	prefix
+ *			operand text in client encoding, null-terminated
  *
  * For each operator:
+ *
  * uint8	type, QI_OPR
  * uint8	operator, one of OP_AND, OP_PHRASE OP_OR, OP_NOT.
  * uint16	distance (only for OP_PHRASE)
  */
 Datum
 tsquerysend(PG_FUNCTION_ARGS)
 {
 	TSQuery		query = PG_GETARG_TSQUERY(0);
 	StringInfoData buf;
 	int			i;
-- 
2.48.1

